Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 6a4a95fd50f6908f58940a9ed55e77eb48d61754)
+++ chapter01/changelog.xml	(revision bb8939c1e6fc50dbe981838c16043142fced4833)
@@ -37,4 +37,16 @@
 
 -->
+    <xxx>
+    </xxx>
+
+    <listitem>
+      <para>2009-03-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bryan] - Remove the uucp group (replace with dialout).  Handle
+          ISDN devices with a file from upstream.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 6a4a95fd50f6908f58940a9ed55e77eb48d61754)
+++ chapter06/createfiles.xml	(revision bb8939c1e6fc50dbe981838c16043142fced4833)
@@ -84,5 +84,5 @@
 disk:x:8:
 lp:x:9:
-uucp:x:10:
+dialout:x:10:
 audio:x:11:
 video:x:12:
@@ -90,5 +90,4 @@
 usb:x:14:
 cdrom:x:15:
-dialout:x:16:
 mail:x:34:
 nogroup:x:99:</literal>
Index: chapter06/udev.xml
===================================================================
--- chapter06/udev.xml	(revision 6a4a95fd50f6908f58940a9ed55e77eb48d61754)
+++ chapter06/udev.xml	(revision bb8939c1e6fc50dbe981838c16043142fced4833)
@@ -87,4 +87,9 @@
     /lib/udev/rules.d/</userinput></screen>
 
+    <para>Now install a file to handle ISDN devices:</para>
+
+<screen><userinput remap="install">install -m644 -v rules/packages/40-isdn.rules \
+    /lib/udev/rules.d/</userinput></screen>
+
     <!-- There are more files available in the packages/ directory, if we want
          to consider using them.  Most are probably irrelevant to LFS though.
Index: udev-config/55-lfs.rules
===================================================================
--- udev-config/55-lfs.rules	(revision 6a4a95fd50f6908f58940a9ed55e77eb48d61754)
+++ udev-config/55-lfs.rules	(revision bb8939c1e6fc50dbe981838c16043142fced4833)
@@ -13,11 +13,9 @@
 # Comms devices
 
-KERNEL=="rfcomm[0-9]*",     GROUP="uucp"
-KERNEL=="ippp[0-9]*",       GROUP="uucp"
-KERNEL=="isdn[0-9]*",       GROUP="uucp"
-KERNEL=="isdnctrl[0-9]*",   GROUP="uucp"
-KERNEL=="capi",             NAME="capi20",  SYMLINK+="isdn/capi20"
-KERNEL=="capi?*",           NAME="capi/%n", GROUP="uucp"
-KERNEL=="dcbri[0-9]*",      GROUP="uucp"
+KERNEL=="rfcomm[0-9]*",     GROUP="dialout"
+KERNEL=="ippp[0-9]*",       GROUP="dialout"
+KERNEL=="isdn[0-9]*",       GROUP="dialout"
+KERNEL=="isdnctrl[0-9]*",   GROUP="dialout"
+KERNEL=="dcbri[0-9]*",      GROUP="dialout"
 
 # ALSA devices go in their own subdirectory
Index: udev-config/ChangeLog
===================================================================
--- udev-config/ChangeLog	(revision 6a4a95fd50f6908f58940a9ed55e77eb48d61754)
+++ udev-config/ChangeLog	(revision bb8939c1e6fc50dbe981838c16043142fced4833)
@@ -1,219 +1,226 @@
+2009-03-15	Bryan Kadzban <bryan@linuxfromscratch.org>
+	* 55-lfs.rules: Remove the ISDN-handling rules (replaced with upstream's
+	  version, which has a better match via SUBSYSTEM).
+	* 55-lfs.rules: Replace "uucp" with "dialout" now that udev has decided
+	  to standardize on a Debian-like setup (uucp is for UUCP daemons to use
+	  for privilege separation; dialout is for users and devices).
+
 2008-12-07  Bruce Dubbs <bdubbs@linuxfromscratch.org>
-   * 55-lfs.rules: Change one line to use continuation so it does
-     not overflow the book's width.
+	* 55-lfs.rules: Change one line to use continuation so it does
+	  not overflow the book's width.
 
 2008-12-07  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 55-lfs.rules: Remove several rules that are either provided by upstream,
-     or that don't have any effect (there is no /dev/js or /dev/djs according
-     to devices.txt).
-   * 55-lfs.rules, 61-cdrom.rules: Replace ACTION=="add" with "add|change"
-     everywhere, per upstream's general request.
+	* 55-lfs.rules: Remove several rules that are either provided by upstream,
+	  or that don't have any effect (there is no /dev/js or /dev/djs according
+	  to devices.txt).
+	* 55-lfs.rules, 61-cdrom.rules: Replace ACTION=="add" with "add|change"
+	  everywhere, per upstream's general request.
 
 2008-11-11  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 55-lfs.rules, 61-cdrom.rules: Fix comments to use the right rule
-     numbers.  Thanks to Trent Shea for the fix.  Closes #2278.
+	* 55-lfs.rules, 61-cdrom.rules: Fix comments to use the right rule
+	  numbers.  Thanks to Trent Shea for the fix.  Closes #2278.
 
 2008-10-15  DJ Lucas <dj@linuxfromscratch.org>
-   * 55-lfs.rules: Override default perms on floppy disk devices provided
-     by 50-udev-default.rules.  Thanks to Bruce Dubbs for the fix.  Closes
-     LFS ticket #2076. 
+	* 55-lfs.rules: Override default perms on floppy disk devices provided
+	  by 50-udev-default.rules.  Thanks to Bruce Dubbs for the fix.  Closes
+	  LFS ticket #2076. 
 
 2008-05-21  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 81-firmware.rules, doc/81-firmware.txt: Remove.  This rule is
-     already handled by udev's 50-udev-default.rules file.  The docs
-     can be added back later if needed.
-   * Makefile: Don't install the above deleted files.
-   * 55-lfs.rules: Remove the device-mapper rule, since the upstream
-     50-udev-default.rules file handles it properly.
+	* 81-firmware.rules, doc/81-firmware.txt: Remove.  This rule is
+	  already handled by udev's 50-udev-default.rules file.  The docs
+	  can be added back later if needed.
+	* Makefile: Don't install the above deleted files.
+	* 55-lfs.rules: Remove the device-mapper rule, since the upstream
+	  50-udev-default.rules file handles it properly.
 
 2008-04-02  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * Makefile: Make the package DESTDIR-friendly by installing the docs
-     into a fixed $(PREFIX)/share/doc/udev-config directory, instead of
-     trying to figure out what version of udev was just installed.
+	* Makefile: Make the package DESTDIR-friendly by installing the docs
+	  into a fixed $(PREFIX)/share/doc/udev-config directory, instead of
+	  trying to figure out what version of udev was just installed.
 
 2007-10-30  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 55-lfs.rules: Since the dialout group was renamed to uucp, delete
-     the rules that override upstream's assignment of the dialout group.
-     Replace "dialout" with "uucp" on the remaining rules.
+	* 55-lfs.rules: Since the dialout group was renamed to uucp, delete
+	  the rules that override upstream's assignment of the dialout group.
+	  Replace "dialout" with "uucp" on the remaining rules.
 
 2007-10-29  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 51-lfs.rules: Move to 55-lfs.rules.
-   * doc/51-lfs.rules: Move to doc/55-lfs.rules.
+	* 51-lfs.rules: Move to 55-lfs.rules.
+	* doc/51-lfs.rules: Move to doc/55-lfs.rules.
 
 2007-10-27  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 25-lfs.rules: Some rules in here are duplicates of rules from udev's
-     new 50-udev-defaults.rules file; remove them. Override permissions
-     where needed elsewhere (and document overrides in comments).
-   * 26-modprobe.rules: Provided by udev's 80-drivers.rules and built-in
-     modaliases for SCSI device-type modules in 2.6.22+ kernels; remove.
-
-   * 25-lfs.rules: Move to 51-lfs.rules.
-   * 27-firmware.rules: Move to 81-firmware.rules.
-   * 81-cdrom.rules: Move to 61-cdrom.rules.
-
-   * doc/25-lfs.txt: Rename to 51-lfs.txt.
-   * doc/26-modprobe.txt: Rename to 80-drivers.txt, and modify to reflect
-     the upstream rules.
-   * doc/27-firmware.txt: Rename to 81-firmware.txt.
-   * doc/81-cdrom.txt: Rename to 61-cdrom.txt.
-
-   * Makefile: Use new filenames.
+	* 25-lfs.rules: Some rules in here are duplicates of rules from udev's
+	  new 50-udev-defaults.rules file; remove them. Override permissions
+	  where needed elsewhere (and document overrides in comments).
+	* 26-modprobe.rules: Provided by udev's 80-drivers.rules and built-in
+	  modaliases for SCSI device-type modules in 2.6.22+ kernels; remove.
+
+	* 25-lfs.rules: Move to 51-lfs.rules.
+	* 27-firmware.rules: Move to 81-firmware.rules.
+	* 81-cdrom.rules: Move to 61-cdrom.rules.
+
+	* doc/25-lfs.txt: Rename to 51-lfs.txt.
+	* doc/26-modprobe.txt: Rename to 80-drivers.txt, and modify to reflect
+	  the upstream rules.
+	* doc/27-firmware.txt: Rename to 81-firmware.txt.
+	* doc/81-cdrom.txt: Rename to 61-cdrom.txt.
+
+	* Makefile: Use new filenames.
 
 2007-07-31  Dan Nicholson <dnicholson@linuxfromscratch.org>
-   * 25-lfs.rules: Changed the usb_device rule tto create /dev/bus/usb
-     nodes if the usb_device in 2.6.22+ kernels. The rule was also changed
-     to only trigger on "add" events. This change is not backwards
-     compatible with older kernels.
+	* 25-lfs.rules: Changed the usb_device rule tto create /dev/bus/usb
+	  nodes if the usb_device in 2.6.22+ kernels. The rule was also changed
+	  to only trigger on "add" events. This change is not backwards
+	  compatible with older kernels.
 
 2007-06-12  Dan Nicholson <dnicholson@linuxfromscratch.org>
-   * 25-lfs.rules: Fix the CPUID nodes from cpu/%n/cpu to cpu/%n/cpuid,
-     which is what's expected in userspace apps such as x86info.
+	* 25-lfs.rules: Fix the CPUID nodes from cpu/%n/cpu to cpu/%n/cpuid,
+	  which is what's expected in userspace apps such as x86info.
 
 2007-06-08  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 25-lfs.rules: Add rules for DVB devices (create nodes in /dev/dvb/)
-     and floppies (create extra nodes based on CMOS type), copied from
-     the SuSE rules file.  Thanks to Alexander Patrakov for the bugreport.
-
-2007-03-04  Matthew Burgess   <matthew@linuxfromscratch.org>
-   * Makefile: Use `udevd --version' to work out what version of Udev is
-     installed (requires Udev >= 106)
+	* 25-lfs.rules: Add rules for DVB devices (create nodes in /dev/dvb/)
+	  and floppies (create extra nodes based on CMOS type), copied from
+	  the SuSE rules file.  Thanks to Alexander Patrakov for the bugreport.
+
+2007-03-04  Matthew Burgess	<matthew@linuxfromscratch.org>
+	* Makefile: Use `udevd --version' to work out what version of Udev is
+	  installed (requires Udev >= 106)
 
 2007-01-02  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 25-lfs.rules: Change CPU devices (cpu, msr, microcode) to be in
-     /dev/cpu/ and /dev/cpu/N/, to match Documentation/devices.txt.
+	* 25-lfs.rules: Change CPU devices (cpu, msr, microcode) to be in
+	  /dev/cpu/ and /dev/cpu/N/, to match Documentation/devices.txt.
 
 2006-10-21  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * Makefile: Add a missing backslash in install-extra-doc.
-
-   * 05-udev-early.rules, 60-persistent-input.rules,
-     60-persistent-storage.rules, 95-udev-late.rules: Remove.  The book
-     will install these files from udev's etc/udev/rules.d directory
-     instead.
-   * Makefile: Don't install these rules files after all.  Also, only
-     install corresponding docs if requested.
+	* Makefile: Add a missing backslash in install-extra-doc.
+
+	* 05-udev-early.rules, 60-persistent-input.rules,
+	  60-persistent-storage.rules, 95-udev-late.rules: Remove.  The book
+	  will install these files from udev's etc/udev/rules.d directory
+	  instead.
+	* Makefile: Don't install these rules files after all.  Also, only
+	  install corresponding docs if requested.
 
 2006-10-20  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * Makefile: Added; contains targets to install rules and doc files.
-     From Dan Nicholson.
+	* Makefile: Added; contains targets to install rules and doc files.
+	  From Dan Nicholson.
 
 2006-10-14  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 05-udev-early.rules, 60-persistent-storage.rules: Sync up with
-     upstream sample rules files (from udev-102), except for one rule
-     which is more specific in our tarball and should probably be changed
-     upstream. 
-   * doc/60-persistent-storage.txt: Modify to match the changes.  Also
-     fix a couple typos.
-
-   * 25-lfs.rules: Remove duplicate rules (ttyS[0-9]* is also matched by
-     tty[BC...S...][0-9]*, and ttyUSB[0-9]* is in there twice).
-
-   * 25-lfs.rules: Fix Alsa device KERNEL rules.  Udev uses shell-style
-     glob matching, not regular expressions, so the old rules would match
-     nonsense device names like hw0asdf and pcmDzxcv.  As long as the first
-     character after the "fixed" portion was in the list, the rule would
-     match; it wouldn't apply the same character range to later characters.
-
-   * doc/25-lfs.txt: Add a note on interaction between permissions and
-     symlinks.
+	* 05-udev-early.rules, 60-persistent-storage.rules: Sync up with
+	  upstream sample rules files (from udev-102), except for one rule
+	  which is more specific in our tarball and should probably be changed
+	  upstream. 
+	* doc/60-persistent-storage.txt: Modify to match the changes.  Also
+	  fix a couple typos.
+
+	* 25-lfs.rules: Remove duplicate rules (ttyS[0-9]* is also matched by
+	  tty[BC...S...][0-9]*, and ttyUSB[0-9]* is in there twice).
+
+	* 25-lfs.rules: Fix Alsa device KERNEL rules.  Udev uses shell-style
+	  glob matching, not regular expressions, so the old rules would match
+	  nonsense device names like hw0asdf and pcmDzxcv.  As long as the first
+	  character after the "fixed" portion was in the list, the rule would
+	  match; it wouldn't apply the same character range to later characters.
+
+	* doc/25-lfs.txt: Add a note on interaction between permissions and
+	  symlinks.
 
 2006-10-09  Bryan Kadzban  <bryan@linuxfromscrtach.org>
-   * 25-lfs.rules: Fix fb[0-9]* device permissions (should use the default
-     0660).
-
-   * doc/25-lfs.txt: Fix typo: /dev/ptmx is given mode 0666, not 0660.
-     Also tweak the comment about other TTY devices.
+	* 25-lfs.rules: Fix fb[0-9]* device permissions (should use the default
+	  0660).
+
+	* doc/25-lfs.txt: Fix typo: /dev/ptmx is given mode 0666, not 0660.
+	  Also tweak the comment about other TTY devices.
 
 2006-10-04  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 05-udev-early.rules: Remove WAIT_FOR_SYSFS="bus" rule.  With kernel
-     2.6.18, this rule is no longer required.
-
-   * doc/05-udev-early.txt: Update to match.
+	* 05-udev-early.rules: Remove WAIT_FOR_SYSFS="bus" rule.  With kernel
+	  2.6.18, this rule is no longer required.
+
+	* doc/05-udev-early.txt: Update to match.
 
 2006-09-28  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * doc/60-persistent-storage.txt: Explain persistent storage rules, or
-     at least the parts I understand.  (I don't use DASD or netblock or
-     several other supported configurations.)
-
-   * doc/81-cdrom.txt: Explain 81-cdrom.rules.
-
-   * doc/95-udev-late.txt: Explain 95-udev-late.rules.  Documentation is
-     now finished.
+	* doc/60-persistent-storage.txt: Explain persistent storage rules, or
+	  at least the parts I understand.  (I don't use DASD or netblock or
+	  several other supported configurations.)
+
+	* doc/81-cdrom.txt: Explain 81-cdrom.rules.
+
+	* doc/95-udev-late.txt: Explain 95-udev-late.rules.  Documentation is
+	  now finished.
 
 2006-09-26  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * doc/60-persistent-input.txt: Explain (in probably too much detail)
-     60-persistent-input.rules.
+	* doc/60-persistent-input.txt: Explain (in probably too much detail)
+	  60-persistent-input.rules.
 
 2006-09-24  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * doc/05-udev-early.txt: Rewrap to fit 80 columns.
-
-   * doc/26-modprobe.txt: Explain 26-modprobe.rules, and modaliases.
-
-   * doc/27-firmware.txt: Explain 27-firmware.rules.
+	* doc/05-udev-early.txt: Rewrap to fit 80 columns.
+
+	* doc/26-modprobe.txt: Explain 26-modprobe.rules, and modaliases.
+
+	* doc/27-firmware.txt: Explain 27-firmware.rules.
 
 2006-09-24  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * doc/25-lfs.txt: Explain 25-lfs.rules.
-
-   * 25-lfs.rules: Use SYMLINK+= for isdn/capi20 also.
+	* doc/25-lfs.txt: Explain 25-lfs.rules.
+
+	* 25-lfs.rules: Use SYMLINK+= for isdn/capi20 also.
 
 2006-09-23  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * doc: New subdirectory to contain documentation of rules
-   * doc/README: New file, top-level documentation
-   * doc/*.txt: New documentation files, one for each rules file.  Only
-     05-udev-early.txt has anything in it.
+	* doc: New subdirectory to contain documentation of rules
+	* doc/README: New file, top-level documentation
+	* doc/*.txt: New documentation files, one for each rules file.  Only
+	  05-udev-early.txt has anything in it.
 
 2006-09-23  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 25-lfs.rules: Add "ignore_device" to OPTIONS for DRI devices, instead
-     of setting NAME to an empty string.  This matches the way we ignore
-     devmapper / LVM devices.
+	* 25-lfs.rules: Add "ignore_device" to OPTIONS for DRI devices, instead
+	  of setting NAME to an empty string.  This matches the way we ignore
+	  devmapper / LVM devices.
 
 2006-09-22  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 60-persistent-input.rules, 95-udev-late.rules: Import from udev-100.
-     60-persistent-input.rules creates persistent symlinks for input
-     devices, and 95-udev-late.rules enables udevmonitor.
-
-   * 60-persistent-storage.rules: Replace ATTRS{../removable} with just
-     ATTRS{removable} on partition devices. Replace ATTRS{removable}
-     with ATTR{removable} on whole-disk devices.
+	* 60-persistent-input.rules, 95-udev-late.rules: Import from udev-100.
+	  60-persistent-input.rules creates persistent symlinks for input
+	  devices, and 95-udev-late.rules enables udevmonitor.
+
+	* 60-persistent-storage.rules: Replace ATTRS{../removable} with just
+	  ATTRS{removable} on partition devices. Replace ATTRS{removable}
+	  with ATTR{removable} on whole-disk devices.
 
 2006-09-20  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * 05-early.rules: Missed a rule in the last change.  ENV{PHYSDEVBUS}
-     in the rule that waits for the "bus" symlink should be replaced by
-     SUBSYSTEMS.
+	* 05-early.rules: Missed a rule in the last change.  ENV{PHYSDEVBUS}
+	  in the rule that waits for the "bus" symlink should be replaced by
+	  SUBSYSTEMS.
 
 2006-09-20  Bryan Kadzban  <bryan@linuxfromscratch.org>
-   * Adapted rules to the new matches used in udev-098 and above (e.g.,
-     SYSFS becomes ATTRS).  Prevents warnings, and support for the old
-     matches will be removed eventually.  These rules will not work with
-     udev-097 and before!
-   * Fixed several bugs in the rules left over from previous udev
-     versions (missing commas, overwriting user symlinks using ="..."
-     instead of +="...", and matching against "*" instead of "?*").
-
-   * Renamed CHANGELOG to ChangeLog, started using pseudo-GNU-format
-     entries.  (See standards.info; search it for "changelog" to get
-     the general gist.)
+	* Adapted rules to the new matches used in udev-098 and above (e.g.,
+	  SYSFS becomes ATTRS).  Prevents warnings, and support for the old
+	  matches will be removed eventually.  These rules will not work with
+	  udev-097 and before!
+	* Fixed several bugs in the rules left over from previous udev
+	  versions (missing commas, overwriting user symlinks using ="..."
+	  instead of +="...", and matching against "*" instead of "?*").
+
+	* Renamed CHANGELOG to ChangeLog, started using pseudo-GNU-format
+	  entries.  (See standards.info; search it for "changelog" to get
+	  the general gist.)
 
 dnicholson - Jul 14, 2006
-   * Fixed usbdev PROGRAM so that it works with the BusyBox sh. Thanks
-     to Anthony Wright.
+	* Fixed usbdev PROGRAM so that it works with the BusyBox sh. Thanks
+	  to Anthony Wright.
 
 n/a - Jul 12, 2006
-   * Added options so temporary nodes are not created with device-mapper
-   * Adapted cdrom rules to identify CD-ROM drives correctly by adding
-     SUBSYSTEM=="block" test.
-   * Added simple 81-cdrom.rules file to set cdrom group ownership
+	* Added options so temporary nodes are not created with device-mapper
+	* Adapted cdrom rules to identify CD-ROM drives correctly by adding
+	  SUBSYSTEM=="block" test.
+	* Added simple 81-cdrom.rules file to set cdrom group ownership
 
 n/a - Jun 07, 2006
-   * Removed nvidia rules
-   * Removed bug reporting rule
-   * Moved Debian-based persistent CD-ROM rules to contrib
-   * Adapted firmware rule to udev-093
+	* Removed nvidia rules
+	* Removed bug reporting rule
+	* Moved Debian-based persistent CD-ROM rules to contrib
+	* Adapted firmware rule to udev-093
 
 n/a - May 15, 2006
-   * Part one of 25-lfs.rules rewrite
-   * Some minor tweaking of the layout
+	* Part one of 25-lfs.rules rewrite
+	* Some minor tweaking of the layout
 
 n/a - May 12, 2006
-   * Initial import of the udev-config directory.
-   * Reorganized and modularized the rules files.
-   * Added explanatory comments
+	* Initial import of the udev-config directory.
+	* Reorganized and modularized the rules files.
+	* Added explanatory comments
